graph.adjacencyarraygraph

## Class AdjacencyArrayDirectedGraph

- java.lang.Object
- - graph.adjacencyarraygraph.AdjacencyArrayGraph
  - - graph.adjacencyarraygraph.AdjacencyArrayDirectedGraph

- All Implemented Interfaces:
    DirectedGraph, Graph
  Direct Known Subclasses:
    AdjacencyArrayUndirectedGraph

      class AdjacencyArrayDirectedGraph
      extends AdjacencyArrayGraph
      implements DirectedGraph

  Implementace grafu.

  Popis: implementace orientovaného grafu polem následovníků

  Užití: V aplikacích lze tvořit instance grafu.

- - ### Field Summary

    - ### Fields inherited from class graph.adjacencyarraygraph.AdjacencyArrayGraph

      `adjacency, currStartIx, currTargetIx, edgeCount, vertCount, vertices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdjacencyArrayDirectedGraph(int vertNr)` Vyrobí instanci třídy AdjacencyArrayDirectedGraph.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEdge(GraphVertex aStart, GraphVertex aTarget, GraphEdge anEdge)` Přidá hranu do grafu.
    `protected void` | `addUnidirectionalEdge(GraphVertex aStart, GraphVertex aTarget, GraphEdge anEdge, boolean backwards)` Vloží orientovanou hranu do grafu.

    - ### Methods inherited from class graph.adjacencyarraygraph.AdjacencyArrayGraph

      `addVertex, getEdge, getEdgeCount, getTotalEdgeCount, getVertex, getVertex, getVertexCount, isLastEdge, isLastVertex, isValidEdge, isValidVertex, latch, moveFirstEdge, moveFirstVertex, moveNextEdge, moveNextVertex, restore, select, setEdge, setVertex, traverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface graph.graphinterface.Graph

      `addVertex, getEdge, getEdgeCount, getTotalEdgeCount, getVertex, getVertex, getVertexCount, isLastEdge, isLastVertex, isValidEdge, isValidVertex, latch, moveFirstEdge, moveFirstVertex, moveNextEdge, moveNextVertex, restore, select, setEdge, setVertex, traverse`

- - ### Constructor Detail

    - #### AdjacencyArrayDirectedGraph

          public AdjacencyArrayDirectedGraph(int vertNr)

      Vyrobí instanci třídy AdjacencyArrayDirectedGraph.
      Parameters:
        `vertNr` - maximální možný počet vrcholů v grafu

  - ### Method Detail

    - #### addUnidirectionalEdge

          protected void addUnidirectionalEdge(GraphVertex aStart,
                                               GraphVertex aTarget,
                                               GraphEdge anEdge,
                                               boolean backwards)

      Vloží orientovanou hranu do grafu.
      Parameters:
        `aStart` - výchozí vrchol
        `aTarget` - cílový vrchol
        `anEdge` - hrana
        `backwards` - orientace

    - #### addEdge

          public void addEdge(GraphVertex aStart,
                              GraphVertex aTarget,
                              GraphEdge anEdge)

      Description copied from interface: `Graph`
      Přidá hranu do grafu.
      Specified by:
        `addEdge` in interface `Graph`
      Parameters:
        `aStart` - výchzí vrchol hrany
        `aTarget` - cílový vrchol hrany
        `anEdge` - hrana, která má být přidána